<html>
<head>
    <meta charset="UTF-8">
    <link rel="icon" href="data:,">
    <link rel="stylesheet" href="static/styles.css?dc=$disable_cache"/>
    <script src="static/observer.js?dc=$disable_cache"></script>
    <script src="static/app.js?dc=$disable_cache"></script>
    <script src="static/jquery.min.js"></script>
    <script>window.addEventListener('load', (event) => {
        ${start_observer}
    });</script>
    <title>ВЕГА СИ-22 ЭМУЛЯТОР ПАКЕТОВ</title>
</head>
<body>
<h3>Формирование бинарного пакета с настройками.</h3>
<div>Передается устройством на LoRaWAN порт 3 при получении команды запроса
    настроек, а также после присоединения к сети
</div>
<form method="post">
    <span class="$class_visibility_for_client"><b class="text_emphasis">Приложение в режиме Клиента</b></span>
    <span class="$class_visibility_for_server"><b class="text_emphasis">Приложение в режиме Сервера ($server_listening), <br/>
        обновление через <span id="interval_indicator">$observer_interval</span> сек.</b>
    </span>
    <hr>
    <button type="submit" formaction="server" class="$class_visibility_for_client">Перевести в режим "Сервера"</button>
    <button type="submit" formaction="client" class="$class_visibility_for_server">Перевести в режим "Клиента"</button>
    <button type="submit" formaction="send" class="$class_visibility_for_client">Отправить пакет на сервер -> </button>
    <input class="$class_visibility_for_client" type="text" name="server_host" value="$server_host" />
    <input class="$class_visibility_for_client" type="text" name="server_port" placeholder="$server_port_default" value="$server_port" />
    <span id="exchange_package">$exchange_package</span>
    <input type="hidden" name="mode" value="$mode_value" />
    <hr>
    <div class="fld_block">
        <label class= "field" for="field_4">$field_4_description:</label>
        <select $disabled id="field_4" name="field_4" value="$field_4">
            <option value="">не задано</option>
            <option value="1" $field_4_1>запрашивать</option>
            <option value="2" $field_4_2>не запрашивать</option>
        </select>
    </div>
    <div class="fld_block">
        <label class= "field" for="field_12">$field_12_description:</label>
        <select $disabled id="field_12" name="field_12" value="$field_12">
            <option value="">не задано</option>
            <option value="1" $field_12_1>импульсный</option>
            <option value="2" $field_12_2>охранный</option>
        </select>
    </div>
    <div class="fld_block">
        <label class= "field" for="field_13">$field_13_description:</label>
        <select $disabled id="field_13" name="field_13" value="$field_13">
            <option value="">не задано</option>
            <option value="1" $field_13_1>импульсный</option>
            <option value="2" $field_13_2>охранный</option>
        </select>
    </div>
    <div class="fld_block">
        <label class= "field" for="field_14">$field_14_description:</label>
        <select $disabled id="field_14" name="field_14" value="$field_14">
            <option value="">не задано</option>
            <option value="1" $field_14_1>импульсный</option>
            <option value="2" $field_14_2>охранный</option>
        </select>
    </div>
    <div class="fld_block">
        <label class= "field" for="field_15">$field_15_description:</label>
        <select $disabled id="field_15" name="field_15" value="$field_15">
            <option value="">не задано</option>
            <option value="1" $field_15_1>импульсный</option>
            <option value="2" $field_15_2>охранный</option>
        </select>
    </div>
    <div class="fld_block">
        <label class= "field" for="field_16">$field_16_description:</label>
        <select $disabled id="field_16" name="field_16" value="$field_16">
            <option value="">не задано</option>
            <option value="1" $field_16_1>1 час</option>
            <option value="2" $field_16_2>6 часов</option>
            <option value="3" $field_16_3>12 часов</option>
            <option value="4" $field_16_4>24 часа</option>
            <option value="5" $field_16_5>5 минут</option>
            <option value="6" $field_16_6>15 минут</option>
            <option value="7" $field_16_7>30 минут</option>
        </select>
    </div>
    <div class="fld_block">
        <label class= "field" for="field_49">$field_49_description:</label>
        <select $disabled id="field_49" name="field_49" value="$field_49">
            <option value="">не задано</option>
            <option value="1" $field_49_1>1 час</option>
            <option value="2" $field_49_2>6 часов</option>
            <option value="3" $field_49_3>12 часов</option>
            <option value="4" $field_49_4>24 часа</option>
            <option value="5" $field_49_5>5 минут</option>
            <option value="6" $field_49_6>15 минут</option>
            <option value="7" $field_49_7>30 минут</option>
        </select>
    </div>
    <div class="fld_block">
        <label class= "field" for="field_55">$field_55_description:</label>
        <input $disabled type="number" min="-720" step="1" max="840" id="field_55" name="field_55"
               placeholder="от -720 до 840" value="$field_55"/>
        <span class="fld_error_text">$field_55_error</span>
    </div>
    <div class="fld_block">
        <label class= "field" for="field_78">$field_78_description:</label>
        <select $disabled id="field_78" name="field_78" value="$field_78">
            <option value="">не задано</option>
            <option value="1" $field_78_1>1 час</option>
            <option value="2" $field_78_2>6 часов</option>
            <option value="3" $field_78_3>12 часов</option>
            <option value="4" $field_78_4>24 часа</option>
            <option value="5" $field_78_5>5 минут</option>
            <option value="6" $field_78_6>15 минут</option>
            <option value="7" $field_78_7>30 минут</option>
        </select>
    </div>
    <div class="fld_block">
        <label class= "field" for="field_79">$field_79_description:</label>
        <select $disabled id="field_79" name="field_79" value="$field_79">
            <option value="">не задано</option>
            <option value="0" $field_79_0>выключено</option>
            <option value="1" $field_79_1>включено</option>
        </select>
    </div>
    <div class="fld_block">
        <label class= "field" for="field_80">$field_80_description:</label>
        <input $disabled type="number" min="-128" step="1" max="127" id="field_80" name="field_80"
               placeholder="от -128 до 127" value="$field_80"/>
        <span class="fld_error_text">$field_80_error</span>
    </div>
    <div class="fld_block">
        <label class= "field" for="field_81">$field_81_description:</label>
        <input $disabled type="number" min="-128" step="1" max="127" id="field_81" name="field_81"
               placeholder="от -128 до 127" value="$field_81"/>
        <span class="fld_error_text">$field_81_error</span>
    </div>
    <br>
    <hr>
    <div>
        <button type="submit" formaction="encode" class="$class_visibility_for_client">Сформировать бинарный пакет</button>
        <span for="field_byte_delimiter" class="$class_visibility_for_client">байт-префикс:</span>
        <input type="text" id="field_byte_delimiter" name="field_byte_delimiter" value="$field_byte_delimiter"
               class="$class_visibility_for_client"/>
    </div>
    <br>
    <div class="field_tips $class_visibility_for_client">$field_binary_package</div>
</form>
</body>
</html>
